## org.apache.lucene.queryParser.core.messages
Class QueryParserMessages

    java.lang.Object
      org.apache.lucene.messages.NLS
          org.apache.lucene.queryParser.core.messages.QueryParserMessages

    public class QueryParserMessages

extends org.apache.lucene.messages.NLS

Flexible Query Parser message bundle class

Field Summary
`static java.lang.String` `EMPTY_MESSAGE`
`static java.lang.String` `INVALID_SYNTAX`
`static java.lang.String` `INVALID_SYNTAX_CANNOT_PARSE`
`static java.lang.String` `INVALID_SYNTAX_ESCAPE_CHARACTER`
`static java.lang.String` `INVALID_SYNTAX_ESCAPE_NONE_HEX_UNICODE`
`static java.lang.String` `INVALID_SYNTAX_ESCAPE_UNICODE_TRUNCATION`
`static java.lang.String` `INVALID_SYNTAX_FUZZY_LIMITS`
`static java.lang.String` `LEADING_WILDCARD_NOT_ALLOWED`
`static java.lang.String` `LUCENE_QUERY_CONVERSION_ERROR`
`static java.lang.String` `NODE_ACTION_NOT_SUPPORTED`
`static java.lang.String` `PARAMETER_VALUE_NOT_SUPPORTED`
`static java.lang.String` `TOO_MANY_BOOLEAN_CLAUSES`
`static java.lang.String` `WILDCARD_NOT_SUPPORTED`

Method Summary

Methods inherited from class org.apache.lucene.messages.NLS
`getLocalizedMessage, getLocalizedMessage, getLocalizedMessage, getLocalizedMessage, initializeMessages`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INVALID_SYNTAX

    public static java.lang.String INVALID_SYNTAX

### INVALID_SYNTAX_CANNOT_PARSE

    public static java.lang.String INVALID_SYNTAX_CANNOT_PARSE

### INVALID_SYNTAX_FUZZY_LIMITS

    public static java.lang.String INVALID_SYNTAX_FUZZY_LIMITS

### INVALID_SYNTAX_ESCAPE_UNICODE_TRUNCATION

    public static java.lang.String INVALID_SYNTAX_ESCAPE_UNICODE_TRUNCATION

### INVALID_SYNTAX_ESCAPE_CHARACTER

    public static java.lang.String INVALID_SYNTAX_ESCAPE_CHARACTER

### INVALID_SYNTAX_ESCAPE_NONE_HEX_UNICODE

    public static java.lang.String INVALID_SYNTAX_ESCAPE_NONE_HEX_UNICODE

### NODE_ACTION_NOT_SUPPORTED

    public static java.lang.String NODE_ACTION_NOT_SUPPORTED

### PARAMETER_VALUE_NOT_SUPPORTED

    public static java.lang.String PARAMETER_VALUE_NOT_SUPPORTED

### LUCENE_QUERY_CONVERSION_ERROR

    public static java.lang.String LUCENE_QUERY_CONVERSION_ERROR

### EMPTY_MESSAGE

    public static java.lang.String EMPTY_MESSAGE

### WILDCARD_NOT_SUPPORTED

    public static java.lang.String WILDCARD_NOT_SUPPORTED

### TOO_MANY_BOOLEAN_CLAUSES

    public static java.lang.String TOO_MANY_BOOLEAN_CLAUSES

### LEADING_WILDCARD_NOT_ALLOWED

    public static java.lang.String LEADING_WILDCARD_NOT_ALLOWED

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.